Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface UVPTS

All Superinterfaces:
  ANY, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, QTY, TS1

All Known Implementing Classes:
  UVPTSImpl

    public interface UVPTS

extends TS1

A representation of the model object 'UVPTS'.

The following features are supported:

- `Probability`

See Also:
  `CDAR2Package.getUVPTS()`

Method Summary
`double` | `getProbability()` Returns the value of the 'Probability' attribute.
`boolean` | `isSetProbability()` Returns whether the value of the '`Probability`' attribute is set.
`void` | `setProbability(double value)` Sets the value of the '`Probability`' attribute.
`void` | `unsetProbability()` Unsets the value of the '`Probability`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.TS1
`getValue, setValue`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ANY
`getNullFlavor, setNullFlavor`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getProbability

    double getProbability()

  Returns the value of the 'Probability' attribute. The probability assigned to the value, a decimal number between 0 (very uncertain) and 1 (certain).

  Returns:
    the value of the 'Probability' attribute.
  See Also:
    `isSetProbability()`, `unsetProbability()`, `setProbability(double)`, `CDAR2Package.getUVPTS_Probability()`

### setProbability

    void setProbability(double value)

  Sets the value of the '`Probability`' attribute.

  Parameters:
    `value` - the new value of the 'Probability' attribute.
  See Also:
    `isSetProbability()`, `unsetProbability()`, `getProbability()`

### unsetProbability

    void unsetProbability()

  Unsets the value of the '`Probability`' attribute.

  See Also:
    `isSetProbability()`, `getProbability()`, `setProbability(double)`

### isSetProbability

    boolean isSetProbability()

  Returns whether the value of the '`Probability`' attribute is set.

  Returns:
    whether the value of the 'Probability' attribute is set.
  See Also:
    `unsetProbability()`, `getProbability()`, `setProbability(double)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD